Create metrics
Create/upload new metrics data for a company. Supports both standard and custom metrics, including budget data.
Notes:
- Each request can only be for one company.
- Supports both standard and custom metrics.
- Can write to budgets by specifying
budget_idandis_budget_metric. - Required fields:
valuecompany_idcategorymetric_cadencedate
- Optional fields:
currency(only for money-type metrics)is_budget_metric(defaults to False)
- Query parameters:
on_conflict(‘overwrite’ | ‘skip’, default: ‘overwrite’)
Permissions:
- User must be authenticated via OAuth.
- User must have access to the company.
- User must have ADMIN or EDITOR role.
Authorizations
Your valid bearer token. All Auth tokens persist for all requests. Make sure to replace Client Credential Basic tokens with Bearer tokens after retrieving your bearer token. Go to the API Reference/Setup, User Guides/Initial Setup, or API Reference/Get API Access Token page to get your token.
Query Parameters
Conflict resolution strategy when a metric already exists for the same company, category, and date. 'overwrite' (default) updates the existing row. 'skip' leaves the existing row unchanged.
overwrite, skip Body
Metric value
"1000"
Company ID
"RjX8"
Metric category (can also be the name of a custom metric using its display name (e.g., "Total Number of Customers"))
accounts_payable, accounts_receivable, arr, assets, burn_per_fte, cash_flow_from_financing_activities, cash_flow_from_investing_activities, cash_flow_from_operating_activities, cash_in_bank, cash_payments, cash_receipts, churned_arr, contraction_arr, cost_of_goods_sold, current_assets, current_liabilities, custom, ebitda, equity, expansion_arr, fair_value, fully_diluted_shares, gross_irr, gross_margin, gross_profit, headcount, investment_amount, latest_price_per_share, liabilities, long_term_liabilities, moic, net_assets, net_burn, net_income, net_new_arr, net_operating_profit, net_other_income, net_profit, new_logo_arr, non_current_assets, operating_margin, other_non_current_assets, ownership, post_money_valuation, pre_money_valuation, property_plants_and_equipment, reactivation_arr, realized_value, revenue, revenue_growth, revenue_per_fte, runway, short_term_investments, total_change_in_cash, total_operating_expenses, total_shares_owned "cash_in_bank"
Date
"2023-07-31"
Metric cadence
point_in_time, day, week, month, quarter, half_year, year "point_in_time"
Currency. Only required for money-type metrics.
AED, AUD, BDT, BRL, CAD, CHF, CNY, COP, CZK, DKK, EUR, GBP, GHS, HKD, IDR, ILS, INR, ISK, JOD, JPY, KES, KRW, MXN, NGN, NOK, NZD, PEN, PHP, PKR, SAR, SEK, SGD, THB, TRY, TWD, TZS, USD, VND, ZAR "USD"
Is budget metric. Defaults to False if not provided.
true
Budget ID
"yzJm"
Response
Metric value
"1000"
Company ID
"RjX8"
Metric category (can also be the name of a custom metric using its display name (e.g., "Total Number of Customers"))
accounts_payable, accounts_receivable, arr, assets, burn_per_fte, cash_flow_from_financing_activities, cash_flow_from_investing_activities, cash_flow_from_operating_activities, cash_in_bank, cash_payments, cash_receipts, churned_arr, contraction_arr, cost_of_goods_sold, current_assets, current_liabilities, custom, ebitda, equity, expansion_arr, fair_value, fully_diluted_shares, gross_irr, gross_margin, gross_profit, headcount, investment_amount, latest_price_per_share, liabilities, long_term_liabilities, moic, net_assets, net_burn, net_income, net_new_arr, net_operating_profit, net_other_income, net_profit, new_logo_arr, non_current_assets, operating_margin, other_non_current_assets, ownership, post_money_valuation, pre_money_valuation, property_plants_and_equipment, reactivation_arr, realized_value, revenue, revenue_growth, revenue_per_fte, runway, short_term_investments, total_change_in_cash, total_operating_expenses, total_shares_owned "cash_in_bank"
Date
"2023-07-31"
Metric cadence
point_in_time, day, week, month, quarter, half_year, year "point_in_time"
Currency. Only required for money-type metrics.
AED, AUD, BDT, BRL, CAD, CHF, CNY, COP, CZK, DKK, EUR, GBP, GHS, HKD, IDR, ILS, INR, ISK, JOD, JPY, KES, KRW, MXN, NGN, NOK, NZD, PEN, PHP, PKR, SAR, SEK, SGD, THB, TRY, TWD, TZS, USD, VND, ZAR "USD"
Is budget metric. Defaults to False if not provided.
true
Budget ID
"yzJm"